HOME > 게시판 > 자유게시판
게시판| 자유게시판
※ 게시판 용도에 맞지 않는 글(광고및 홍보 글 등)은 임의삭제될 수 있습니다.

 
작성일 : 07-03-10 18:52
mysql 설치시 에러
 글쓴이 : 김형규
조회 : 2,220  

안녕하세요.

웹서버를 구축하려고 강좌게시판의 doly님의 페도라3 웹서버 구축 강좌를 보면서 따라하고 있는데요.

wget http://ftp.superuser.co.kr/pub/mysql/mysql-5.0.21.tar.gz
   tar xvfz mysql-5.0.21.tar.gz

   cd mysql-5.0.21
   CFLAGS="-static -O2 -march=i686 -funroll-loops" \
   CXXFLAGS="-static -O2 -march=i686 -funroll-loops -felide-constructors -fno-exceptions -fno-rtti" \

   ./configure \
   --prefix=/usr/local/mysql --localstatedir=/usr/local/mysql/data \
   --disable-shared --enable-assembler \
   --with-thread-safe-client --with-mysqld-user="mysql" \
   --with-client-ldflags=-all-static \
   --with-mysqld-ldflags=-all-static \

   --with-readline --without-debug \
   --without-docs --without-bench \
   --with-charset=euckr

강좌에 설명 된 위의 부분 까지 진행하고

make를 했는데요.

 

쭈욱 잘 되다가

(중략)

 plates -fno-exception -fno-rtti -c -o my_new.o my_new.cc

../depcomp: line 512: exec: g++: not found

make[2]: *** [my_new.o] Error 127

make[2]: Leaving directory '/mysql-5.0.21/mysys'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory '/mysql-5.0.21'

make: *** [all] Error 2

위 처럼 나오고 진행이 멈춤니다.

여기서 6시간동안 진행을 못하고 있어요 ㅠㅠ

검색 해보니까

gcc를 업그레이드를 하라고 하는 분이 계시던데

업그레이드를 어떻게 하는줄 몰라서요;;; 참 막막하기만 합니다.

rpm -qa gcc* 라고 치면

gcc-3.4.4-2.fc3 이라고만 나옵니다.

이전에는 이거 밑으로 2가진가 3가지 더 나왔는데

제가 업그레이드 해보겠다고 그전에 있던걸

rpm -e gcc*로 전부 지워버렸거든요;;;

그리고 나서 yum gcc* install (맞나;;;) 이걸 해서

위의 gcc-3.4.4-2.fc3을 설치한 상태입니다.

부디 해결방안을 내려주세요 ㅠㅠ

마지막으로 좋은 하루 되시길 바랍니다.^^

 

 

 


이 글을 트위터로 보내기 이 글을 페이스북으로 보내기

배준태 07-03-12 08:52
 
gcc 에러가 아니구

g++ 에러가 났네요

http://rpmfind.net 에 가셔서 gcc 버젼에 맞추어서 g++도 설치하시기 바랍니다.